      SUBROUTINE UCHECK(m,iuniqn)

C     UCHECK CHECKS TO SEE IF A PROBE HAS BEEN SET UP WITH UNIQUE 
C     STATION NUMBERS YET
C     THE THREE POSSIBILITIES ARE IUNIQN > 1 = UNIQUE STATION #S
C                                 IUNIQN =0,1 = NO UNIQUE STATION #S
C                                 IUNIQN < 0 = TEMP UNIQUE STATS

      parameter (iufile=510)

      character*80 filename

      ifst=0
      iend=0
      iuniqn=0

      call maskname('uniq.s'//CHAR(0),0,filename,m)
      call fileopen(filename,'rb+'//CHAR(0),iufile)
      call fileend(iufile)
      call filepos(iufile,0,1,iuniqn)

      if ( iuniqn .gt. 1 ) then
       call filerewind(iufile)
       call readmask(ifst,iufile,iend)
       if ( ifst .lt. 0 ) iuniqn=-iuniqn
      endif

      call onefileclose(iufile)

      return
      end

